commit:     de3631ecee4f2590d3ba4138d4a97ed8cd64d7a4
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 11 17:28:48 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Apr 11 19:23:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de3631ec

app-admin/logcheck: bump to version 1.2.23

Also migrated to EAPI=7 and GLEP 81.

Closes: https://bugs.gentoo.org/781200
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-admin/logcheck/Manifest               |  1 +
 app-admin/logcheck/logcheck-1.3.23.ebuild | 65 +++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/app-admin/logcheck/Manifest b/app-admin/logcheck/Manifest
index e8956e92dee..09b27075d9c 100644
--- a/app-admin/logcheck/Manifest
+++ b/app-admin/logcheck/Manifest
@@ -1 +1,2 @@
 DIST logcheck_1.3.18.tar.xz 131252 BLAKE2B 
024259d965c02d5f27a82f1df1e947d48e4b1bad705882243c4b743a1c061012f2437ecab1a97265f5a330fdec2f813a36c078dca282f54fdfaab03833340320
 SHA512 
3ab75969f732efa123d9df2c8b44557e4a7eddef8332a8357463930714148a13130c763c22e562bd60e106abf5e18cf39b3572e0c048727a117fbc67430b7e3f
+DIST logcheck_1.3.23.tar.xz 133540 BLAKE2B 
7eae2f34027c40d3efc272bc82179962d4a5ba8613e4e6218e9730a0ce3ff00af7e040c0550ac7414ae08191a36bb37ec0358de97367deab48b552782bc25c8e
 SHA512 
635a96c3e0beaf6056e5b96b3bd69134c3330308452e3bcf8cc28cb36365f07806046bf498cbfaf5cfbc38a812eb2723ddf51a16304140e8f7091f1e6005ec4d

diff --git a/app-admin/logcheck/logcheck-1.3.23.ebuild 
b/app-admin/logcheck/logcheck-1.3.23.ebuild
new file mode 100644
index 00000000000..98b1b7437ed
--- /dev/null
+++ b/app-admin/logcheck/logcheck-1.3.23.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit readme.gentoo-r1
+
+DESCRIPTION="Mails anomalies in the system logfiles to the administrator"
+HOMEPAGE="https://packages.debian.org/sid/logcheck";
+SRC_URI="mirror://debian/pool/main/l/${PN}/${PN}_${PV}.tar.xz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+DEPEND="
+       acct-group/logcheck
+       acct-user/logcheck
+"
+
+RDEPEND="
+       ${DEPEND}
+       !app-admin/logsentry
+       app-misc/lockfile-progs
+       dev-lang/perl
+       dev-perl/mime-construct
+       virtual/mailx
+"
+
+DOC_CONTENTS="
+       Please read the guide at https://wiki.gentoo.org/wiki/Logcheck
+       for installation instructions.
+"
+
+src_prepare() {
+       default
+
+       # Add /var/log/messages support, bug #531524
+       echo "/var/log/messages" >> etc/logcheck.logfiles
+}
+
+src_install() {
+       default
+
+       # Do not install /var/lock, bug #449968 . Use rmdir to make sure
+       # the directories removed are empty.
+       rmdir "${ED}/var/lock/logcheck" || die
+       rmdir "${ED}/var/lock" || die
+
+       keepdir /var/lib/logcheck
+
+       dodoc docs/README.*
+       doman docs/logtail.8 docs/logtail2.8
+
+       exeinto /etc/cron.hourly
+       doexe "${FILESDIR}"/logcheck.cron
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       chown -R logcheck:logcheck /etc/logcheck /var/lib/logcheck || die
+
+       readme.gentoo_print_elog
+}

Reply via email to